[Numpy-discussion] scipy build error - ./numpy/distutils/ccompiler.py bug ? - Was (Numpy-discussion Digest, Vol 16, Issue 59 )

Hans-Joachim Ehlers HansJoachim.Ehlers@eumetsat....
Mon Jan 28 09:26:55 CST 2008


Given:
AIX 5.3
xlc v8
xlf v10
essl v4.2

Build and installed: numpy 1.0.4
Build and installed: lapack 3.1.1 with CCI and essl support

Task:
Trying to build scipy 0.6.0

Error:
Get the following error which seems to be numpy related:
...
...
  File "/usr/local/lib/python2.5/site-packages/numpy/distutils/ccompiler.py", line 303, in CCompiler_cxx_compiler
    + cxx.linker_so[2:]
TypeError: can only concatenate list (not "str") to list
...

Current Solution: 
Changed line 303 in /usr/local/lib/python2.5/site-packages/numpy/distutils/ccompiler.py
 from:
...
 cxx.linker_so = [cxx.linker_so[0]] + cxx.compiler_cxx[0] \
                        + cxx.linker_so[2:]
...
to
...
 cxx.linker_so = [cxx.linker_so[0]] + [cxx.compiler_cxx[0]] \
                        + cxx.linker_so[2:]
...

Is that change OK for the logic ?
Must be a bug report opened for that ?
BTW: Has somebody build scipy for AIX 5.3 with the xlc & xlf compilers ? If yes - Could she/he provide some information regarding the requirements

tia
Hajo




More information about the Numpy-discussion mailing list